Package com.trilead.ssh2.packets

## Class PacketOpenSessionChannel

- java.lang.Object
- - com.trilead.ssh2.packets.PacketOpenSessionChannel

    public class PacketOpenSessionChannel
    extends java.lang.Object

PacketOpenSessionChannel.

### Constructor Summary

Constructors
`PacketOpenSessionChannel​(byte[] payload, int off, int len)`
`PacketOpenSessionChannel​(int channelID, int initialWindowSize, int maxPacketSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketOpenSessionChannel

    public PacketOpenSessionChannel​(int channelID,
                                    int initialWindowSize,
                                    int maxPacketSize)

#### PacketOpenSessionChannel

    public PacketOpenSessionChannel​(byte[] payload,
                                    int off,
                                    int len)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getPayload

    public byte[] getPayload()